<id>
din1031:MemberColorLink
</id>

<version>
3.0.5
</version>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
	// Make sure it's an array.
	$users = !is_array($users) ? array($users) : array_unique($users);
</search for>

<replace>
	// Make sure it's an array.
	$users = !is_array($users) ? array($users) : array_unique($users);
	
	//... SSI can insert empty users :x	
	foreach($users as $k => $u)
		if(empty($u) || $u < 0 || !is_numeric($u))
			unset($users[$k]);
</replace>

<search for>
			$loaded_ids[] = $data['ID_MEMBER'];
			$user_profile[$data['ID_MEMBER']] = $data;
			//Happy Birthday Color to this user :D
			if(!empty($modSettings['MemberColorBirthdayColor']) && !empty($data['birthdate']) && compare_colorBirthdate($data['birthdate'])) {
				$user_profile[$row['ID_MEMBER']]['post_group_color'] = $modSettings['MemberColorBirthdayColor'];
				$user_profile[$row['ID_MEMBER']]['member_group_color'] = $modSettings['MemberColorBirthdayColor'];
			}
			//Color Banned user, replace there color... hope they are not moderators ;P?
			if(!empty($modSettings['MemberColorBanned']) && isset($data['is_activated']) && $data['is_activated'] >= 10) {
				$user_profile[$row['ID_MEMBER']]['post_group_color'] = $modSettings['MemberColorBanned'];
				$user_profile[$row['ID_MEMBER']]['member_group_color'] = $modSettings['MemberColorBanned'];
			}
			//Memeber Color Link will used Chached Data, too wheee.
			if($set == 'normal' || $set == 'profile') //This are the only sets with the info the mod need.
				$color_profile[$data['ID_MEMBER']] = array(
					'ID_MEMBER' => $data['ID_MEMBER'],
					'realName' => $data['realName'],
					'member_group_color' => $user_profile[$row['ID_MEMBER']]['member_group_color'],		
					'post_group_color' => $user_profile[$row['ID_MEMBER']]['post_group_color'],		
				);
</search for>

<replace>
			$loaded_ids[] = $data['ID_MEMBER'];
			$user_profile[$data['ID_MEMBER']] = $data;
			//Happy Birthday Color to this user :D
			if(!empty($modSettings['MemberColorBirthdayColor']) && !empty($data['birthdate']) && compare_colorBirthdate($data['birthdate'])) {
				$user_profile[$data['ID_MEMBER']]['post_group_color'] = $modSettings['MemberColorBirthdayColor'];
				$user_profile[$data['ID_MEMBER']]['member_group_color'] = $modSettings['MemberColorBirthdayColor'];
			}
			//Color Banned user, replace there color... hope they are not moderators ;P?
			if(!empty($modSettings['MemberColorBanned']) && isset($data['is_activated']) && $data['is_activated'] >= 10) {
				$user_profile[$data['ID_MEMBER']]['post_group_color'] = $modSettings['MemberColorBanned'];
				$user_profile[$data['ID_MEMBER']]['member_group_color'] = $modSettings['MemberColorBanned'];
			}
			//Memeber Color Link will used Chached Data, too wheee.
			if($set == 'normal' || $set == 'profile') //This are the only sets with the info the mod need.
				$color_profile[$data['ID_MEMBER']] = array(
					'ID_MEMBER' => $data['ID_MEMBER'],
					'realName' => $data['realName'],
					'member_group_color' => $user_profile[$data['ID_MEMBER']]['member_group_color'],		
					'post_group_color' => $user_profile[$data['ID_MEMBER']]['post_group_color'],		
				);
</replace>

<search for>
			//Happy Birthday Color ;D Hope you love it :D
			if(!empty($modSettings['MemberColorBirthday']) && !empty($row['birthdate']) && compare_colorBirthdate($row['birthdate'])) {
</search for>

<replace>
			//Happy Birthday Color ;D Hope you love it :D
			if(!empty($modSettings['MemberColorBirthdayColor']) && !empty($row['birthdate']) && compare_colorBirthdate($row['birthdate'])) {
</replace>

<edit file>
$themedir/Calendar.template.php
</edit file>

<search for>
						<a href="', $scripturl, '?action=profile;u=', $member['id'], '"'. (!empty($member['color']) ? (empty($modSettings['MemberColorLinkOldSpanStyle']) ? ' style="color:'.$member['color'].'">' : '><span style="color:'.$member['color'].';">') : ''), $member['name'], isset($member['age']) ? ' (' . $member['age'] . ')' : '', (!empty($member['color']) && !empty($modSettings['MemberColorLinkOldSpanStyle']) ? '</span>' : ''), '</a>', $member['is_last'] ? '' : ', ';
</search for>

<replace>
						<a href="', $scripturl, '?action=profile;u=', $member['id'], '"'. (!empty($member['color']) ? (empty($modSettings['MemberColorLinkOldSpanStyle']) ? ' style="color:'.$member['color'].'">' : '><span style="color:'.$member['color'].';">') : '>'), $member['name'], isset($member['age']) ? ' (' . $member['age'] . ')' : '', (!empty($member['color']) && !empty($modSettings['MemberColorLinkOldSpanStyle']) ? '</span>' : ''), '</a>', $member['is_last'] ? '' : ', ';
</replace>

<edit file>
$themedir/BoardIndex.template.php
</edit file>

<search for>
				', ($member['is_today'] ? '<b>' : ''), '<a href="', $scripturl, '?action=profile;u=', $member['id'], '"'. (!empty($member['color']) ? (empty($modSettings['MemberColorLinkOldSpanStyle']) ? ' style="color:'.$member['color'].'">' : '><span style="color:'.$member['color'].';">') : ''), $member['name'], isset($member['age']) ? ' (' . $member['age'] . ')' : '', (!empty($member['color']) && !empty($modSettings['MemberColorLinkOldSpanStyle']) ? '</span>' : ''), '</a>', ($member['is_today'] ? '</b>' : ''), $member['is_last'] ? '' : ', ';
</search for>

<replace>
				', ($member['is_today'] ? '<b>' : ''), '<a href="', $scripturl, '?action=profile;u=', $member['id'], '"'. (!empty($member['color']) ? (empty($modSettings['MemberColorLinkOldSpanStyle']) ? ' style="color:'.$member['color'].'">' : '><span style="color:'.$member['color'].';">') : '>'), $member['name'], isset($member['age']) ? ' (' . $member['age'] . ')' : '', (!empty($member['color']) && !empty($modSettings['MemberColorLinkOldSpanStyle']) ? '</span>' : ''), '</a>', ($member['is_today'] ? '</b>' : ''), $member['is_last'] ? '' : ', ';
</replace>
